% M-Skript zur Berechnung des Relaxationsparameters w (liegt zw. 1 - 2)
% (<=> Ueberrelaxation)

% C ... Kovarianzmatrix, aus der der grsste Eigenwert bestimmt wird!
C = -koeff_mat./repmat(diag(koeff_mat),1,number_points);
ind_diagonale = find(diag(diag(C)));
C(ind_diagonale) = 0;


OPTS = struct('tol',0.001,...
            'disp',0);              % 'Structur', die die default-Werte der Toleranz und die Anzeige der
                                    % 'diagnostic information' veraendert bzw. unterdrueckt!

eig_vec_max = eigs(C,1,'LM',OPTS);
w = 2/(1+sqrt(1-max(abs(eig_vec_max))^2));